=== debian/changelog ===
ros-kinetic-move-base (1.14.9-1xenial) xenial; urgency=high

  * Publish recovery behavior kinetic (#1007 <https://github.com/ros-planning/navigation/issues/1007>)
    * First prototype of publishing recovery status
    custom message tells you where the behavior occured, the name, index,
    and total number of behaviors.
    * fix message field typos
    * move_base crash when using default recovery behaviors (#1071 <https://github.com/ros-planning/navigation/issues/1071>)
    Co-authored-by: Peter Mitrano <mailto:mitranopeter@gmail.com>
    Co-authored-by: mattp256 <mailto:11513260+mattp256@users.noreply.github.com>
  * Contributors: David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2021 05:00:00 -0000

ros-kinetic-move-base (1.14.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-kinetic-move-base (1.14.7-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Mar 2020 04:00:00 -0000

ros-kinetic-move-base (1.14.6-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-kinetic-move-base (1.14.5-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-kinetic-move-base (1.14.4-1xenial) xenial; urgency=high

  * Merge pull request #711 <https://github.com/ros-planning/navigation/issues/711> from SteveMacenski/costmap_clearing_thread_lock
    adding mutex locks to costmap clearing service
  * Contributors: Michael Ferguson, stevemacenski

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-kinetic-move-base (1.14.3-1xenial) xenial; urgency=high

  * Merge pull request #672 <https://github.com/ros-planning/navigation/issues/672> from ros-planning/email_update_kinetic
    update maintainer email (kinetic)
  * Merge pull request #648 <https://github.com/ros-planning/navigation/issues/648> from aaronhoy/kinetic_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo (`#636
  * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
  * Contributors: Aaron Hoy, David V. Lu!!, Jorge Santos Simón, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 16 Mar 2018 04:00:00 -0000

ros-kinetic-move-base (1.14.2-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-kinetic-move-base (1.14.1-1xenial) xenial; urgency=high

  * Add a max_planning_retries parameter to move_base [kinetic] (#539 <https://github.com/ros-planning/navigation/issues/539>)
  * Fixed deadlock when changing global planner
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Added deps to amcl costmap_2d move_base (#512 <https://github.com/ros-planning/navigation/issues/512>)
  * move_base: Add move_base_msgs to find_package.
  * Contributors: Jorge Santos Simón, Maarten de Vries, Martin Günther, Vincent Rabaud, mryellow, ne0

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-kinetic-move-base (1.14.0-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-kinetic-move-base (1.13.1-1xenial) xenial; urgency=high

  * Removes installation of nonexistent directories
  * use correct size for clearing window
  * full name has been required for eons, this code just adds unneeded complexity
  * remove ancient conversion scripts from v0.2 to v0.3
  * proper locking during costmap update
  * Contributors: Michael Ferguson, Thiago de Freitas Oliveira Araujo

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-kinetic-move-base (1.13.0-1xenial) xenial; urgency=high

  * Fixing various memory freeing operations
  * Contributors: Alex Bencz

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-kinetic-move-base (1.12.0-1xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-kinetic-move-base (1.11.15-1xenial) xenial; urgency=high

  * Disable global planner when resetting state.
  * Mark move_base headers for installation
  * Add ARCHIVE DESTINATION for move_base
  * Break infinite loop when tolerance 0 is used
  * remove partial usage of <tab> in the code
  * Contributors: Gary Servin, Michael Ferguson, ohendriks, v4hn

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-kinetic-move-base (1.11.14-1xenial) xenial; urgency=high

  * use timer rather than rate for immediate wakeup
  * adding lock to planner makePlan fail case
  * Contributors: Michael Ferguson, phil0stine

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-kinetic-move-base (1.11.13-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-kinetic-move-base (1.11.12-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-kinetic-move-base (1.11.11-1xenial) xenial; urgency=high

  * removes trailing spaces and empty lines
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-kinetic-move-base (1.11.10-1xenial) xenial; urgency=high

  * Remove unnecessary colons
  * move_base planService now searches out from desired goal
  * Contributors: David Lu!!, Kaijen Hsiao

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-kinetic-move-base (1.11.9-1xenial) xenial; urgency=high

  * uses ::hypot(x, y) instead of sqrt(x*x, y*y)
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-kinetic-move-base (1.11.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000


