=== debian/control ===
Source: ros-kinetic-move-base
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-base-local-planner, ros-kinetic-catkin, ros-kinetic-clear-costmap-recovery, ros-kinetic-cmake-modules, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-move-base-msgs, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-navfn, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rotate-recovery, ros-kinetic-std-srvs, ros-kinetic-tf
Homepage: http://wiki.ros.org/move_base
Standards-Version: 3.9.2

Package: ros-kinetic-move-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-base-local-planner, ros-kinetic-clear-costmap-recovery, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-move-base-msgs, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-navfn, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rotate-recovery, ros-kinetic-std-srvs, ros-kinetic-tf
Description: The move_base package provides an implementation of an action (see the actionlib package) that, given a goal in the world, will attempt to reach it with a mobile base.
 The move_base node links together a global and local planner to accomplish its global navigation task. It supports any global planner adhering to the nav_core::BaseGlobalPlanner interface specified in the nav_core package and any local planner adhering to the nav_core::BaseLocalPlanner interface specified in the nav_core package. The move_base node also maintains two costmaps, one for the global planner, and one for a local planner (see the costmap_2d package) that are used to accomplish navigation tasks.
